const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const event_orders = sequelize.define(
    'event_orders',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

total_amount: {
        type: DataTypes.DECIMAL,

      },

currency: {
        type: DataTypes.TEXT,

      },

payment_status: {
        type: DataTypes.ENUM,

        values: [

"pending",

"completed",

"failed"

        ],

      },

stripe_payment_intent_id: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  event_orders.associate = (db) => {

    db.event_orders.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.event_orders.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return event_orders;
};

